<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="300dp"
    android:layout_height="wrap_content">

    <View
        android:id="@+id/v_background"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="12dp"
        android:background="@drawable/background_shape_white_radius_12"
        app:layout_constraintBottom_toBottomOf="@id/space_bottom"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_title"
        android:layout_width="0dp"
        android:layout_height="112dp"
        android:scaleType="centerCrop"
        android:src="@drawable/bg_reserve_success_top"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="24dp"
        android:layout_marginTop="80dp"
        android:layout_marginRight="24dp"
        android:lineSpacingExtra="4dp"
        android:text="@string/reverse_success_without_reminder_tips"
        android:textColor="@color/text_secondary"
        android:textSize="13sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <LinearLayout
        android:id="@+id/fl_content_container"
        android:layout_width="252dp"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_content" />

    <CheckBox
        android:id="@+id/cb_auto_download"
        style="@style/TextCaption1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:button="@drawable/selector_kaifu_report"
        android:gravity="center_vertical"
        android:paddingStart="4dp"
        android:checked="false"
        android:text="@string/reserve_auto_download"
        android:textColor="@color/text_secondary"
        app:layout_constraintEnd_toStartOf="@id/iv_question"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/fl_content_container" />

    <ImageView
        android:id="@+id/iv_question"
        android:layout_width="14dp"
        android:layout_height="14dp"
        android:layout_marginStart="4dp"
        android:src="@drawable/ic_explain"
        app:layout_constraintBottom_toBottomOf="@id/cb_auto_download"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/cb_auto_download"
        app:layout_constraintTop_toTopOf="@id/cb_auto_download"
        app:tint="@color/text_neutral" />

    <androidx.constraintlayout.widget.Group
        android:id="@+id/g_auto_download"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:constraint_referenced_ids="cb_auto_download,iv_question" />

    <Space
        android:id="@+id/space_bottom"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="24dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cb_auto_download" />

    <ImageView
        android:id="@+id/iv_close"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginTop="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/space_bottom"
        app:srcCompat="@drawable/ic_reserve_reminder_close" />

</androidx.constraintlayout.widget.ConstraintLayout>